from django.conf.urls.defaults import *

# Uncomment the next two lines to enable the admin:
from django.contrib import admin
admin.autodiscover()

urlpatterns = patterns('',
     (r'^$',
      'django.views.generic.simple.direct_to_template',
      {'template': 'index.djhtml'}),

     (r'^admin/doc/', include('django.contrib.admindocs.urls')),
     (r'^admin/', include(admin.site.urls)),

     (r'^accounts/logout/', 'django.contrib.auth.views.logout',
      {'template_name' : 'index.djhtml', 'next_page' : '/'}),

     (r'^accounts/', include('registration.urls')),

     (r'^licenses/', include('agora.apps.free_license.urls')),

     (r'^user/', include('agora.apps.profile.urls')),

     (r'^snippet/', include('agora.apps.snippet.urls')),

     (r'^bundles/', include('agora.apps.bundle.urls')),

)

#Let Django itself serve static data during debugging
from django.conf import settings

if settings.DEBUG:
     urlpatterns += patterns('',
                    (r'^static/(?P<path>.*)$', 'django.views.static.serve',
                    {'document_root': 'static/', 'show_indexes': True}),
                    )

